# Visualization
TKV3d
V3d

# V3d_AmbientLight Class Reference

Creation of an ambient light source in a viewer.
.

`#include <V3d_AmbientLight.hxx>`

Inheritance diagram for V3d_AmbientLight:

[legend]

## Public Member Functions

Standard_EXPORT | V3d_AmbientLight (const Handle(V3d_Viewer)&VM, const Quantity_NameOfColor Color=Quantity_NOC_WHITE)
| Constructs an ambient light source in the viewer VM. The default Color of this light source is WHITE. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT V3d_AmbientLight::V3d_AmbientLight | ( | const Handle(V3d_Viewer)& | VM,
|  | const Quantity_NameOfColor | Color = `Quantity_NOC_WHITE`
| ) |

## Member Function Documentation

Standard_EXPORT const V3d_AmbientLight::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from V3d_Light.

The documentation for this class was generated from the following file:

- V3d_AmbientLight.hxx